%define  patch_name kernel-fix-drivers-media

Name: %patch_name
Version: 2005.07.25
Release: alt1.M30.1

Summary: %patch_name kernel patch - Linux media drivers fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source 2600	2.6_00_manliMTV-beholdTV-ir.patch			2.6
%source 2601	2.6_01_trivial-v4l-cx88-video-hue-offset-fix.patch	2.6
%source 2602	2.6_02_skystar2-irq.patch				2.6

BuildArch: noarch
BuildRequires: kernel-build-tools

%description
Linux media drivers fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Mon Oct 24 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.25-alt1.M30.1
- Added:
  + 2.6_02_skystar2-irq.patch: fix oops on skystar2 module unload due to irq
  number being copied too early (before pci_enable_device() has set the proper
  irq)

* Mon Jul 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.25-alt1
- Added:
  + 2.6_01_trivial-v4l-cx88-video-hue-offset-fix.patch: set hue offset to 128
    to correct behavior in cx88 cards

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_00_saa7110-oops-fix.patch
  - 2.6_01_i2c-message-flags.patch
  - 2.6_02_bttv-freeze.patch
  - 2.6_03_bttv-vc100.patch
  - 2.6_04_manliMTV-beholdTV-ir-2.6.11.patch
  - 2.6_05_bttv-i2c-oops.patch
- Added:
  + 2.6_00_manliMTV-beholdTV-ir.patch: updated Manli and BeholdTV remote
    control support patch for 2.6.12

* Mon Jun 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.06.13-alt1
- Added patches for 2.6:
  + 2.6_03_bttv-vc100.patch: bttv: make video capture work on Leadtek WinFast
    VC100 XP cards
  + 2.6_04_manliMTV-beholdTV-ir-2.6.11.patch: saa7134: add support for remote
    control as used with Manli MuchTV M-TV00[12] boards; add BeholdTV 401 and
    BeholdTV 403 FM card names to the Manli entries.
  + 2.6_05_bttv-i2c-oops.patch: bttv: don't try to access the i2c bus if the
    register wasn't successful

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.10-alt1
- Added patches for 2.6:
  + 2.6_02_bttv-freeze.patch: fix freeze on loading bttv in some configurations

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 00_videodev-check-range.patch
- Added:
  + 2.6_00_saa7110-oops-fix.patch: fix saa7110 oops on modprobe
  + 2.6_01_i2c-message-flags.patch: fix i2c message flags in video drivers

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 00_bttv-videodev2-notimeh.patch
- Added:
  + 00_videodev-check-range.patch: fix V4L miss of range check oops

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 2003.09.09-alt1
- added patch for build userspace packages without errors with videodev2.h header
     00_bttv-videodev2-notimeh.patch



